Module com.microsoft.sqlserver.jdbc
Package com.microsoft.sqlserver.jdbc

# Class SQLServerException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.sql.SQLException
com.microsoft.sqlserver.jdbc.SQLServerException

All Implemented Interfaces:
  `Serializable`, `Iterable<Throwable>`

public final class SQLServerException extends SQLException
Represents the exception thrown from any point in the driver that throws a java.sql.SQLException. SQLServerException handles both SQL 92 and XOPEN state codes. They are switchable via a user specified connection property. SQLServerExceptions are written to any open log files the user has specified.

See Also:
  Serialized Form

## Method Summary

Modifier and Type
Method
Description
`SQLServerError`
`getSQLServerError()`
Returns SQLServerError object containing detailed info about exception as received from SQL Server.

### Methods inherited from class java.sql.SQLException

`getErrorCode, getNextException, getSQLState, iterator, setNextException`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Method Details

### getSQLServerError

public SQLServerError getSQLServerError()
Returns SQLServerError object containing detailed info about exception as received from SQL Server. This API returns null if no server error has occurred.

Returns:
  SQLServerError